/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal;

import org.eclipse.swt.widgets.Control;
import org.eclipse.ui.PlatformUI;


public class HelpContextIds {
	
	private static final String PREFIX= WorkItemIDEUIPlugin.PLUGIN_ID + "."; //$NON-NLS-1$
	
	public static final String CATEGORY_EDITOR_PAGE= PREFIX + "category_editor_page"; //$NON-NLS-1$
	
	public static final String DELIVERABLE_EDITOR_PAGE= PREFIX + "deliverable_editor_page"; //$NON-NLS-1$
	
	public static final String MAIL_CONFIGURATION_EDITOR_PAGE= PREFIX + "mail_configuration_editor_page"; //$NON-NLS-1$
	
	public static final String WORK_ITEM_EDITOR= PREFIX + "work_item_editor"; //$NON-NLS-1$
	public static final String WORK_ITEM_EDITOR_APPROVALS_PAGE= PREFIX + "work_item_editor_approvals_page"; //$NON-NLS-1$
	public static final String WORK_ITEM_EDITOR_CUSTOM_ATTRIBUTES_PAGE= PREFIX + "work_item_editor_custom_attributes_page"; //$NON-NLS-1$
	public static final String WORK_ITEM_EDITOR_HISTORY_PAGE= PREFIX + "work_item_editor_history_page"; //$NON-NLS-1$
	public static final String WORK_ITEM_EDITOR_LINKS_PAGE= PREFIX + "work_item_editor_links_page"; //$NON-NLS-1$
	public static final String WORK_ITEM_EDITOR_OVERVIEW_PAGE= PREFIX + "work_item_editor_overview_page"; //$NON-NLS-1$
	
	public static final String QUERY_EDITOR_CONDITIONS_PAGE= PREFIX + "query_editor_conditions_page"; //$NON-NLS-1$
	public static final String QUERY_EDITOR_DETAILS_PAGE= PREFIX + "query_editor_details_page"; //$NON-NLS-1$
	public static final String QUERY_EDITOR_RESULT_LAYOUT_PAGE= PREFIX + "query_editor_result_layout_page"; //$NON-NLS-1$
	public static final String QUERY_PARAMETER_CONDITION_PAGE= PREFIX + "query_parameter_condition_page"; //$NON-NLS-1$
	
	public static final String WORK_ITEM_CREATION_DIALOG= PREFIX + "work_item_creation_dialog"; //$NON-NLS-1$
	
	public static final String APPROVAL_TRACKING_ASPECT_EDITOR= PREFIX + "approval_tracking_aspect_editor"; //$NON-NLS-1$
	public static final String EDITOR_ID_BINDING_ASPECT_EDITOR= PREFIX + "editor_id_binding_aspect_editor"; //$NON-NLS-1$
	public static final String EDITOR_PRESENTATION_ASPECT_EDITOR= PREFIX + "editor_presentation_aspect_editor"; //$NON-NLS-1$
	public static final String ENUMERATION_ASPECT_EDITOR= PREFIX + "enumeration_aspect_editor"; //$NON-NLS-1$
	public static final String QUICK_INFORMATION_ASPECT_EDITOR= PREFIX + "quick_information_aspect_editor"; //$NON-NLS-1$
	public static final String WORK_ITEM_TYPE_ASPECT_EDITOR= PREFIX + "work_item_type_aspect_editor"; //$NON-NLS-1$
	public static final String WORKFLOW_ASPECT_EDITOR= PREFIX + "workflow_aspect_editor"; //$NON-NLS-1$
	public static final String WORKFLOW_BINDING_ASPECT_EDITOR= PREFIX + "workflow_binding_aspect_editor"; //$NON-NLS-1$
	public static final String PREDEFINED_QUERY_ASPECT_EDITOR= PREFIX + "predefined_query_aspect_editor"; //$NON-NLS-1$
	
	public static final String WORK_ITEM_PREFERENCE_PAGE= PREFIX + "work_item_preference_page"; //$NON-NLS-1$

	public static final String SHARED_TEMPLATES_ASPECT_EDITOR= PREFIX + "shared_templates_aspect_editor"; //$NON-NLS-1$

	public static final String SUBSCRIPTIONS_EDITOR_DIALOG= PREFIX + "subscriptions_edit_dialog"; //$NON-NLS-1$
	
	public static final String HTTP_VALUE_SET_PROVIDER= PREFIX + "http_value_set_provider"; //$NON-NLS-1$
	
	public static void hookHelpListener(Control control, String contextId) {
		PlatformUI.getWorkbench().getHelpSystem().setHelp(control, contextId);
	}
}
