/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.actions;

import com.ibm.team.repository.common.util.NLS;

import com.ibm.team.workitem.common.model.IAttachment;

public class CopyAttachmentUrlToClipboardAction extends CopyAttachmentToClipboardAction {
	
	public CopyAttachmentUrlToClipboardAction() {
		super();
	}

	@Override
	protected String getLabel(IAttachment attachment, String link) {
		return link;
	}

	@Override
	protected String getHTMLLabel(IAttachment attachment) {
		return NLS.bind(Messages.CopyAttachmentUrlToClipboardAction_WEB_QUALIFIER, super.getHTMLLabel(attachment));
	}
}
