/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.actions;

import com.ibm.team.workitem.common.model.ISubscriptions;
import com.ibm.team.workitem.common.model.IWorkItem;

public class UnSubscribeToWorkItemAction extends SubscribeToWorkItemAction {

	@Override
	protected boolean editSubscriptionToWorkItem(IWorkItem item, ISubscriptions subscriptions) {
		if (fCurrentUser != null && subscriptions.contains(fCurrentUser)) {
			subscriptions.remove(fCurrentUser);
			return true;
		}
		return false;
	}
}
