/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor;

import java.util.List;

import com.ibm.team.workitem.ide.ui.internal.aspecteditor.type.TypeCategory;

/**
 * A way to get a listing of type categories.
 */
public interface CategorySource {
	/**
	 * @return
	 * 	all type categories for a process.
	 */
	List<TypeCategory> getAllCategories();
}
