/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation;

import com.ibm.team.process.ide.ui.IProcessAspectEditorFactory;
import com.ibm.team.process.ide.ui.ProcessAspectEditor;


public class EditorPresentationAspectEditorFactory implements IProcessAspectEditorFactory {

	public EditorPresentationAspectEditorFactory(){}
	
	public ProcessAspectEditor createProcessAspectEditor(String processAspectId) {
		return new EditorPresentationAspectEditor(processAspectId);
	}

}
