/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
	private static final String BUNDLE_NAME = "com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.messages"; //$NON-NLS-1$
	public static String AddEditPresentationDialog_KIND_DEPRECATED;
	public static String AddEditPresentationDialog_ATTRIBUTE;
	public static String AddEditPresentationDialog_ATTRIBUTE_BASED_PRESENTATION;
	public static String AddEditPresentationDialog_ATTRIBUTE_NAME_ID;
	public static String AddEditPresentationDialog_DESCRIPTION;
	public static String AddEditPresentationDialog_FILTERS;
	public static String AddEditPresentationDialog_ID;
	public static String AddEditPresentationDialog_KIND_LABEL;
	public static String AddEditPresentationDialog_LABEL;
	public static String AddEditPresentationDialog_NON_ATTRIBUTE_BASED;
	public static String AddEditPresentationDialog_SELECT_A_ATTRIBUTE;
	public static String AddEditPresentationDialog_SELECT_KIND;
	public static String AddEditPresentationDialog_SHOW_ARCHIVED;
	public static String AddEditPresentationDialog_SHOW_CONFIGURED;
	public static String AddEditPresentationDialog_NEW_CUSTOM_ATTRIBUTE;
	public static String DEFAULT;
	public static String EditorIdBindingAspectEditor_NO_ELEMENTS;
	public static String EditorIdBindingAspectEditor_NONE_ELEMENT;
	public static String EditorIdBindingBlock_NO_EDITOR_DIALOG_TITLE;
	public static String EditorIdBindingBlock_NO_EDITOR_FOR_TAB;
	public static String EditorIdBindingBlock_NO_EDITOR_FOR_SECTION;
	public static String EditorPresentationAspectEditor_APPEND_TYPE_TO_LIST;
	public static String EditorPresentationAspectEditor_CHOOSE_EDITOR_PRESENTATION;
	public static String EditorPresentationAspectEditor_EDITOR_PRESENTATION;
	public static String EditorPresentationAspectEditor_CREATE_NEW_EDITOR_DIALOG_TITLE;
	public static String EditorPresentationAspectEditor_DUPLICATE_EDITOR_DIALOG_TITLE;
	public static String EditorPresentationAspectEditor_ENTER_PRESENTATION_ID;
	public static String EditorPresentationAspectEditor_ID_EXISTS;
	public static String EditorPresentationAspectEditor_NEITHER_AREA_NOR_DEFINITION;
	public static String EditorPresentationAspectEditor_REMOVE;
	public static String EditorPresentationAspectEditor_REMOVE_DEFAULT_EDITOR;
	public static String EditorPresentationAspectEditor_REMOVE_EDITOR;
	public static String EditorPresentationAspectEditor_REMOVING_REFERENCED_DEFAULT_EDITOR;
	public static String EditorPresentationAspectEditor_REMOVING_REFERENCED_EDITOR;
	public static String EditorPresentationAspectEditor_LOCKED_SECTION_ACCESSIBLE_TEXT;
	public static String EditorPresentationAspectEditor_LOCKED_TAB_ACCESSIBLE_TEXT;
	public static String EditorPresentationAspectPart_EDITOR_HEADER_LABEL;
	public static String EditorPresentationAspectPart_ADD_HEADER;
	public static String EditorPresentationAspectPart_ADD_HEADER_SECTION;
	public static String EditorPresentationAspectPart_ADD_PRESENTATION;
	public static String EditorPresentationAspectPart_ADD_PRESENTATION_TITLE;
	public static String EditorPresentationAspectPart_ADD_SECTION;
	public static String EditorPresentationAspectPart_ADD_SECTION_TITLE;
	public static String EditorPresentationAspectPart_ADD_TAB;
	public static String EditorPresentationAspectPart_ADD_TAB_TITLE;
	public static String EditorPresentationAspectPart_ATTRIBUTE_NO_DEFAULT_KIND;
	public static String EditorPresentationAspectPart_ATTRIBUTE_USES_DEFAULT_KIND;
	public static String EditorPresentationAspectPart_CONTENT_SHARED;
	public static String EditorPresentationAspectPart_CONTENT_SHARED_SUFFIX;
	public static String EditorPresentationAspectPart_CREATE_SECTION;
	public static String EditorPresentationAspectPart_CREATE_TAB;
	public static String EditorPresentationAspectPart_DESCRIPTION;
	public static String EditorPresentationAspectPart_DESCRIPTION_LIST_ENTRY;
	public static String EditorPresentationAspectPart_DISPLAY_NAME;
	public static String EditorPresentationAspectPart_DUP_HEADER;
	public static String EditorPresentationAspectPart_DUPLICATE;
	public static String EditorPresentationAspectPart_DUPLICATE_SECTION;
	public static String EditorPresentationAspectPart_DUPLICATE_TAB;
	public static String EditorPresentationAspectPart_EDIT;
	public static String EditorPresentationAspectPart_EDIT_HEADER_SECTION;
	public static String EditorPresentationAspectPart_EDIT_PRESENTATION_TITLE;
	public static String EditorPresentationAspectPart_EDIT_PROPERTIES;
	public static String EditorPresentationAspectPart_EDIT_SECTION_TITLE;
	public static String EditorPresentationAspectPart_EDIT_TAB_TITLE;
	public static String EditorPresentationAspectPart_ELEMENT_ID;
	public static String EditorPresentationAspectPart_ELEMENT_ID_LIST_ENTRY;
	public static String EditorPresentationAspectPart_EMPTY_ID;
	public static String EditorPresentationAspectPart_ENTER_DUP_SECTION_ID;
	public static String EditorPresentationAspectPart_ENTER_DUP_TAB_ID;
	public static String EditorPresentationAspectPart_ENTER_ID;
	public static String EditorPresentationAspectPart_HEADER_SECTION_LABEL;
	public static String EditorPresentationAspectPart_ID;
	public static String EditorPresentationAspectPart_ID_EMPTY;
	public static String EditorPresentationAspectPart_ID_LABEL;
	public static String EditorPresentationAspectPart_KEY_LABEL;
	public static String EditorPresentationAspectPart_KIND_DOES_NOT_NEED_ATTRIBUTE;
	public static String EditorPresentationAspectPart_KIND_DOES_NOT_SUPPORT_ATTRIBUTE;
	public static String EditorPresentationAspectPart_KIND_NEEDS_ATTRIBUTE_OF_TYPE;
	public static String EditorPresentationAspectPart_LABEL;
	public static String EditorPresentationAspectPart_LABEL_NAME_KIND_ENDPOINT_ID_DESCRIPTION;
	public static String EditorPresentationAspectPart_LAYOUT_EMPTY;
	public static String EditorPresentationAspectPart_LAYOUT_LABEL;
	public static String EditorPresentationAspectPart_LAYOUT_SLOT;
	public static String EditorPresentationAspectPart_LIST_ATTRIBUTE_NAMES;
	public static String EditorPresentationAspectPart_LIST_POSSIBLE_KINDS;
	public static String EditorPresentationAspectPart_LOCKED_SECTION;
	public static String EditorPresentationAspectPart_LOCKED_TAB;
	public static String EditorPresentationAspectPart_MOVE_DOWN;
	public static String EditorPresentationAspectPart_MOVE_UP;
	public static String EditorPresentationAspectPart_NO_SECTION;
	public static String EditorPresentationAspectPart_NO_TAB;
	public static String EditorPresentationAspectPart_NO_WHITESPACES;
	public static String EditorPresentationAspectPart_NONE;
	public static String EditorPresentationAspectPart_NONE_ENTRY;
	public static String EditorPresentationAspectPart_PART_ID;
	public static String EditorPresentationAspectPart_PROPERTIES_LABEL;
	public static String EditorPresentationAspectPart_REMOVE;
	public static String EditorPresentationAspectPart_REUSE_SECTION;
	public static String EditorPresentationAspectPart_REUSE_TAB;
	public static String EditorPresentationAspectPart_SAME_SECTION_ID;
	public static String EditorPresentationAspectPart_SAME_TAB_ID;
	public static String EditorPresentationAspectPart_SECTION;
	public static String EditorPresentationAspectPart_SECTION_EMPTY;
	public static String EditorPresentationAspectPart_SECTION_ID_EXISTS;
	public static String EditorPresentationAspectPart_SHARED_SECTION_UNLOCK;
	public static String EditorPresentationAspectPart_SHARED_SECTION_UNLOCK_EXPLANATION;
	public static String EditorPresentationAspectPart_SHARED_TAB_UNLOCK;
	public static String EditorPresentationAspectPart_SHARED_TAB_UNLOCK_EXPLANATION;
	public static String EditorPresentationAspectPart_SHARED_SECTION_REMOVE_SHARING;
	public static String EditorPresentationAspectPart_SHARED_SECTION_REMOVE_SHARING_EXPLANATION;
	public static String EditorPresentationAspectPart_SHARED_SECTION_TAB_REMOVE_SHARING;
	public static String EditorPresentationAspectPart_SHARED_SECTION_TAB_REMOVE_SHARING_EXPLANATION;
	public static String EditorPresentationAspectPart_SHARED_TAB_REMOVE_SHARING;
	public static String EditorPresentationAspectPart_SHARED_TAB_REMOVE_SHARING_EXPLANATION;
	public static String EditorPresentationAspectPart_SHARED_SECTION_REMOVE_SHARING_SECTION;
	public static String EditorPresentationAspectPart_SHARED_TAB_REMOVE_SHARING_TAB;
	public static String EditorPresentationAspectPart_SECTION_LABEL;
	public static String EditorPresentationAspectPart_SECTION_LOCKED;
	public static String EditorPresentationAspectPart_SHOW_IDS;
	public static String EditorPresentationAspectPart_SLOT_LABEL;
	public static String EditorPresentationAspectPart_SLOT_NAME;
	public static String EditorPresentationAspectPart_TAB;
	public static String EditorPresentationAspectPart_TAB_ID_EXISTS;
	public static String EditorPresentationAspectPart_TAB_LABEL;
	public static String EditorPresentationAspectPart_TAB_LOCKED;
	public static String EditorPresentationAspectPart_TEXT_ID_SHARED;
	public static String EditorPresentationAspectPart_TITLE_DESCRIPTION_SHARED;
	public static String EditorPresentationAspectPart_TITLE_EMPTY;
	public static String EditorPresentationAspectPart_SLOT_EMPTY;
	public static String EditorPresentationAspectPart_TITLE_LABEL;
	public static String EditorPresentationAspectPart_UNKNOWN_ENTRY;
	public static String EditorPresentationAspectPart_VALUE_LABEL;
	public static String EditorPresentationAspectPart_EXISTING_TABS;
	public static String KeyValuePairDialog_LABEL_COLON;
	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}
}
