/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import java.util.Map;

import org.eclipse.swt.widgets.Composite;

import com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.EditorPresentation.Attribute;
import com.ibm.team.workitem.ide.ui.internal.aspecteditor.valueprovider.IProcessConfigurationDataProvider;

public class EnumerationListAttributeConfigurationlet extends ListAttributeConfigurationlet {
	private EnumerationAttributeConfigurationlet fEnumerationConfiguration= new EnumerationAttributeConfigurationlet();

	@Override
	public void configure(Map<String, String> properties, IProcessConfigurationDataProvider processProvider, Attribute attribute) {
		super.configure(properties, processProvider, attribute);
		fEnumerationConfiguration.configure(properties, processProvider, attribute);
	}

	@Override
	protected void createPropertyControls(Composite parent) {
		super.createPropertyControls(parent);
		fEnumerationConfiguration.createAllowAnyValuePropertyControl(parent);
	}
}
