/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import org.eclipse.swt.widgets.Composite;

import com.ibm.team.workitem.common.internal.presentations.EditorPresentationManager;

public class ItemListConfigurationlet extends ListAttributeConfigurationlet {

	@Override
	protected void createPropertyControls(Composite parent) {
		createItemTypePropertyControl(parent);
		super.createPropertyControls(parent);
	}

	protected void createItemTypePropertyControl(Composite parent) {
		createComboBox(parent, Messages.ItemConfigurationlet_ITEM_TYPE,
				Messages.ItemConfigurationlet_ITEM_TYPE_DESCRIPTION, EditorPresentationManager.ITEM_TYPE,
				ItemConfigurationlet.getValueSet(), ItemConfigurationlet.getNullValue());
	}
}
