/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import org.eclipse.swt.widgets.Composite;

import com.ibm.team.workitem.common.internal.presentations.EditorPresentationManager;

public class ListAttributeConfigurationlet extends DefaultAttributeConfigurationlet {
	@Override
	protected void createPropertyControls(Composite parent) {
		super.createPropertyControls(parent);
		createSizePropertyControl(parent);
	}

	protected void createSizePropertyControl(Composite parent) {
		createNumberField(parent, Messages.ListAttributeConfigurationlet_SIZE_LABEL, Messages.ListAttributeConfigurationlet_SIZE_DESCRIPTION, EditorPresentationManager.NUM_ROWS, 0, 50, 1, 0);
	}
}