/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.workitem.java.ide.ui.internal;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.ui.plugin.AbstractUIPlugin;

import com.ibm.team.foundation.common.util.FoundationLog;

public class WorkItemJavaIDEUIPlugin extends AbstractUIPlugin {
	private static WorkItemJavaIDEUIPlugin fgPlugin;
	public final static String PLUGIN_ID= "com.ibm.team.workitem.java.ide.ui"; //$NON-NLS-1$

	public WorkItemJavaIDEUIPlugin() {
		fgPlugin= this;
	}

	public static WorkItemJavaIDEUIPlugin getDefault() {
		return fgPlugin;
	}

	public void log(String message, Throwable exception) {
		log(new Status(IStatus.ERROR, PLUGIN_ID, IStatus.ERROR, message, exception));
	}

	public void log(IStatus status) {
		FoundationLog.log(status);
	}
}