/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2013. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.actions;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
	private static final String BUNDLE_NAME = "com.ibm.team.workitem.ide.ui.internal.actions.messages"; //$NON-NLS-1$
	public static String AbstractSubscriptionWorkItemAction_ADJUSTING_WORK_ITEMS_TASK_NAME;
	public static String AbstractSubscriptionWorkItemAction_SUBSCRIBE_TO_WORKITEMS;
	public static String CopyAttachmentToClipboardAction_COPY_TO_CLIPBOARD;
	public static String CopyAttachmentToClipboardAction_ERROR_CREATING_URL;
	public static String CopyAttachmentToClipboardAction_EXCEPTION_RESOLVING_ATTACHMENT;
	public static String CopyAttachmentUrlToClipboardAction_WEB_QUALIFIER;
	public static String ExtractWorkItemAction_CREATED;
	public static String ExtractWorkItemAction_EXCEPTION_EXTRACTING_WORKITEM;
	public static String ExtractWorkItemAction_EXTRACT_FROM_TEXT;
	public static String ExtractWorkItemAction_EXTRACT_WORKITEM;
	public static String ExtractWorkItemAction_EXTRACTED;
	public static String ExtractWorkItemAction_NEED_TO_SAVE;
	public static String ExtractWorkItemAction_SAVE_WORKITEM;
	public static String ReferenceWorkItemAction_EXCEPTION_INSERTING_REFERENCES;
	public static String ReferenceWorkItemAction_EXCEPTION_RESOLVING_WORKITEM;
	public static String ReferenceWorkItemAction_INSERT_REFERENCE_TO_WORKITEM;
	public static String ReferenceWorkItemAction_INSERT_WORKITEM;
	public static String RefreshWorkItemEditorAction_ERROR_REFRESHING_EDITOR;
	public static String RevertWorkItemEditorAction_ERROR_RETRIEVING_EDITOR;
	public static String SaveAttachmentAction_ALREADY_EXISTS;
	public static String SaveAttachmentAction_ATTACHMENT_NOUN_PLURAL;
	public static String SaveAttachmentAction_ATTACHMENT_NOUN_SINGULAR;
	public static String SaveAttachmentAction_DOWNLOADING;
	public static String SaveAttachmentAction_ERROR_RETRIEVING_FROM_REPO;
	public static String SaveAttachmentAction_ERROR_SAVING_TODISK;
	public static String SaveAttachmentAction_ERRORS_SAVING_ATTACHMENTS;
	public static String SaveAttachmentAction_EXCEPTION_RESOLVING_ATTACHMENTS;
	public static String SaveAttachmentAction_RESOLVING_ATTACHMENTS;
	public static String SaveAttachmentAction_SAVE_ATTACHMENT;
	public static String SaveAttachmentAction_SAVE_ATTACHMENTS;
	public static String SaveAttachmentAction_SAVING_ATTACHMENTS;
	public static String SaveAttachmentAction_SELECT_DIRECTORY;
	public static String DeleteWorkItemAction_NAME;
	public static String DeleteWorkItemAction_TOOLTIP;
	public static String DeleteWorkItemAction_WARN_BOX_TITLE;
	public static String DeleteWorkItemAction_WARN_BOX_MESSAGE;
	public static String DeleteWorkItemAction_CONFIRM_BOX_TITLE;
	public static String DeleteWorkItemAction_CONFIRM_BOX_MESSAGE;
	public static String DeleteWorkItemAction_JOB_PROGRESS_MESSAGE;
	public static String InsertHyperLinkAction_INSERT_HYPER_LINK_LABEL;
	public static String InsertHyperLinkAction_INSERT_HYPER_LINK_DESCRIPTION;
	public static String InsertHyperLinkAction_EXCEPTION_RESOLVING_URL;
	public static String InsertHyperLinkAction_EXCEPTION_INSERTING_REFERENCES;

	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}
}
