/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2008, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
	private static final String BUNDLE_NAME = "com.ibm.team.workitem.ide.ui.internal.aspecteditor.messages"; //$NON-NLS-1$
	public static String AbstractWorkItemAspectEditor_ADD;
	public static String AbstractWorkItemAspectEditor_DUPLICATE;
	public static String AbstractWorkItemAspectEditor_NO_ELEMENTS;
	public static String AbstractWorkItemAspectEditor_REMOVE;
	public static String AspectEditorUtil_APPEND_FILENAME_TO_LIST;
	public static String AspectEditorUtil_ATTACHMENT_EXISTS_MESSAGE;
	public static String AspectEditorUtil_ATTACHMENT_EXISTS_TITLE;
	public static String AspectEditorUtil_CATEGORYID_LIST;
	public static String AspectEditorUtil_CHOOSE_FILE;
	public static String AspectEditorUtil_INVALID_PATH;
	public static String AspectEditorUtil_FILE_DNE_TITLE;
	public static String AspectEditorUtil_FILE_DNE;
	public static String AspectEditorUtil_INVALID_TYPES_MESSAGE;
	public static String AspectEditorUtil_INVALID_TYPES_TITLE;
	public static String AspectEditorUtil_ICON_TOO_LARGE_TITLE;
	public static String AspectEditorUtil_ICON_TOO_LARGE_SINGULAR;
	public static String AspectEditorUtil_ICON_TOO_LARGE_PLURAL;
	public static String AspectEditorUtil_LIST_OF_TYPES;
	public static String AspectEditorUtil_SPECIFY_PATH;
	public static String AspectEditorUtil_UNCONFIGURED_LINK_TYPE;
	public static String IconResolver_RESOLVING_ICONS;
	
	public static String ProcessAttachmentIconSelectionDialog;
	public static String ProcessAttachmentIconSelectionDialog_OVERWRITE_DIALOG_TITLE;
	public static String ProcessAttachmentIconSelectionDialog_DOWNLOADING;
	public static String ProcessAttachmentIconSelectionDialog_FAILED_DELETE;
	public static String ProcessAttachmentIconSelectionDialog_FAILED_CREATE;
	public static String ProcessAttachmentIconSelectionDialog_FAILED_SAVE;
	public static String ProcessAttachmentIconSelectionDialog_ICON_IN_USE_TITLE;
	public static String ProcessAttachmentIconSelectionDialog_ICON_IN_USE_TEXT;
	public static String ProcessAttachmentIconSelectionDialog_ADD_ICONS;
	public static String ProcessAttachmentIconSelectionDialog_REMOVE_ICONS;
	public static String ProcessAttachmentIconSelectionDialog_DOWNLOAD_ICONS;
	public static String ProcessAttachmentIconSelectionDialog_DOWNLOAD_ICONS_TOOLTIP;
	public static String ProcessAttachmentIconSelectionDialog_CLEAR_ICON;
	public static String ProcessAttachmentIconSelectionDialog_EMPTY_ID;
	public static String ProcessAttachmentIconSelectionDialog_ICON;
	public static String ProcessAttachmentIconSelectionDialog_ICON_LABEL;
	public static String ProcessAttachmentIconSelectionDialog_ID;
	public static String ProcessAttachmentIconSelectionDialog_ID_TOO_LONG;
	public static String ProcessAttachmentIconSelectionDialog_NAME;
	public static String ProcessAttachmentIconSelectionDialog_NAME_LABEL;
	public static String ProcessAttachmentIconSelectionDialog_REFRESH_ICONS;
	public static String ProcessAttachmentIconSelectionDialog_WHITESPACES;
	public static String ProcessAttachmentIconSelectionDialog_ERROR;
	public static String ProcessAttachmentIconSelectionDialog_ICONS;
	public static String ProcessAttachmentIconSelectionDialog_NO_FORWARD_SLASHES;
	
	public static String ButtonAndContextMenu_ADD;
	public static String ButtonAndContextMenu_EDIT;
	public static String ButtonAndContextMenu_REMOVE;
	public static String EnumerationsDynamicActionProvider_CREATE_ENUM_VALUE;
	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}
}
