/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import org.eclipse.jface.layout.GridLayoutFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import com.ibm.team.workitem.common.internal.presentations.EditorPresentationManager;

public class ContributorConfigurationlet extends Configurationlet {
	
	@Override
	public void createContent(Composite parent) {
		parent.setLayout(GridLayoutFactory.fillDefaults().numColumns(2).create());
		Label spacer= new Label(parent, SWT.SEPARATOR | SWT.HORIZONTAL);
		GridData data = new GridData(SWT.FILL, SWT.FILL, true, false, 2, 1);
		data.verticalIndent= 10;
		spacer.setLayoutData(data);
		createTextField(parent, Messages.ContributorConfigurationlet_WARNING_MESSAGE, Messages.ContributorConfigurationlet_WARNING_MESSAGE_DESCRIPTION, EditorPresentationManager.WARNMESSAGE);
		createReadonlyPropertyControl(parent);
		createLabelVisiblePropertyControl(parent);
		createVisibilityControls(parent);
		
	}
}
