/*******************************************************************************
 * Licensed Materials - Property of IBM
 *  Copyright IBM Corporation 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import org.eclipse.swt.widgets.Composite;

import com.ibm.team.workitem.common.internal.presentations.EditorPresentationManager;

public class IntegerConfigurationlet extends DefaultAttributeConfigurationlet {

	@Override
	protected void createPropertyControls(Composite parent) {
		super.createPropertyControls(parent);
		createIntegerPropertyControls(parent);
	}

	private void createIntegerPropertyControls(Composite parent) {
		createBooleanControl(parent, Messages.IntegerConfigurationLet_DO_NOT_FORMAT, Messages.IntegerConfigurationLet_DO_NOT_FORMAT_DESCRIPTION, EditorPresentationManager.DO_NOT_FORMAT);
	}

}
